(function (lib, img, cjs) {

var p; // shortcut to reference prototypes
var rect; // used to reference frame bounds

// library properties:
lib.properties = {
	width: 1280,
	height: 720,
	fps: 30,
	color: "#FFFFFF",
	manifest: [
		{src:"images/Image.png", id:"Image"},
		{src:"images/Image_0.png", id:"Image_0"},
		{src:"images/Image_1.png", id:"Image_1"},
		{src:"images/Image_10.png", id:"Image_10"},
		{src:"images/Image_11.png", id:"Image_11"},
		{src:"images/Image_12.png", id:"Image_12"},
		{src:"images/Image_13.png", id:"Image_13"},
		{src:"images/Image_14.png", id:"Image_14"},
		{src:"images/Image_15.png", id:"Image_15"},
		{src:"images/Image_16.png", id:"Image_16"},
		{src:"images/Image_17.png", id:"Image_17"},
		{src:"images/Image_18.png", id:"Image_18"},
		{src:"images/Image_2.png", id:"Image_2"},
		{src:"images/Image_3.png", id:"Image_3"},
		{src:"images/Image_4.png", id:"Image_4"},
		{src:"images/Image_5.png", id:"Image_5"},
		{src:"images/Image_6.png", id:"Image_6"},
		{src:"images/Image_7.png", id:"Image_7"},
		{src:"images/Image_8.png", id:"Image_8"},
		{src:"images/Image_9.png", id:"Image_9"},
		{src:"images/Bitmap1.png", id:"Bitmap1"},
		{src:"images/Bitmap2.png", id:"Bitmap2"}
	]
};

// stage content:
(lib.index = function() {
	this.initialize();

	// exercise
	this.container = new lib.exerciseContainer();

	this.addChild(this.container);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(654.6,427.1,1249.5,646);
p.frameBounds = [rect];


// symbols:
(lib.Image = function() {
	this.initialize(img.Image);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,534,448);


(lib.Image_0 = function() {
	this.initialize(img.Image_0);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,534,448);


(lib.Image_1 = function() {
	this.initialize(img.Image_1);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,534,448);


(lib.Image_10 = function() {
	this.initialize(img.Image_10);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,534,448);


(lib.Image_11 = function() {
	this.initialize(img.Image_11);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,534,448);


(lib.Image_12 = function() {
	this.initialize(img.Image_12);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,534,448);


(lib.Image_13 = function() {
	this.initialize(img.Image_13);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,534,448);


(lib.Image_14 = function() {
	this.initialize(img.Image_14);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,534,448);


(lib.Image_15 = function() {
	this.initialize(img.Image_15);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,534,448);


(lib.Image_16 = function() {
	this.initialize(img.Image_16);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,534,448);


(lib.Image_17 = function() {
	this.initialize(img.Image_17);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,534,448);


(lib.Image_18 = function() {
	this.initialize(img.Image_18);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,534,448);


(lib.Image_2 = function() {
	this.initialize(img.Image_2);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,534,448);


(lib.Image_3 = function() {
	this.initialize(img.Image_3);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,534,448);


(lib.Image_4 = function() {
	this.initialize(img.Image_4);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,534,448);


(lib.Image_5 = function() {
	this.initialize(img.Image_5);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,534,448);


(lib.Image_6 = function() {
	this.initialize(img.Image_6);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,534,448);


(lib.Image_7 = function() {
	this.initialize(img.Image_7);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,534,448);


(lib.Image_8 = function() {
	this.initialize(img.Image_8);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,534,448);


(lib.Image_9 = function() {
	this.initialize(img.Image_9);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,534,448);


(lib.Bitmap1 = function() {
	this.initialize(img.Bitmap1);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,640,430);


(lib.Bitmap2 = function() {
	this.initialize(img.Bitmap2);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,1240,644);


(lib.Symbol20 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Image_18();
	this.instance.setTransform(-64,-53.7,0.24,0.24);

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-64,-53.7,128.1,107.5);
p.frameBounds = [rect];


(lib.Symbol19 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Image_17();
	this.instance.setTransform(-64,-53.7,0.24,0.24);

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-64,-53.7,128.1,107.5);
p.frameBounds = [rect];


(lib.Symbol18 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Image_16();
	this.instance.setTransform(-64,-53.7,0.24,0.24);

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-64,-53.7,128.1,107.5);
p.frameBounds = [rect];


(lib.Symbol17 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Image_15();
	this.instance.setTransform(-64,-53.7,0.24,0.24);

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-64,-53.7,128.1,107.5);
p.frameBounds = [rect];


(lib.Symbol16 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Image_14();
	this.instance.setTransform(-64,-53.7,0.24,0.24);

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-64,-53.7,128.1,107.5);
p.frameBounds = [rect];


(lib.Symbol15 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Image_13();
	this.instance.setTransform(-64,-53.7,0.24,0.24);

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-64,-53.7,128.1,107.5);
p.frameBounds = [rect];


(lib.Symbol14 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Image_12();
	this.instance.setTransform(-64,-53.7,0.24,0.24);

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-64,-53.7,128.1,107.5);
p.frameBounds = [rect];


(lib.Symbol13 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Image_11();
	this.instance.setTransform(-64,-53.7,0.24,0.24);

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-64,-53.7,128.1,107.5);
p.frameBounds = [rect];


(lib.Symbol12 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Image_10();
	this.instance.setTransform(-64,-53.7,0.24,0.24);

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-64,-53.7,128.1,107.5);
p.frameBounds = [rect];


(lib.Symbol11 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Image_9();
	this.instance.setTransform(-64,-53.7,0.24,0.24);

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-64,-53.7,128.1,107.5);
p.frameBounds = [rect];


(lib.Symbol10 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Image_8();
	this.instance.setTransform(-64,-53.7,0.24,0.24);

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-64,-53.7,128.1,107.5);
p.frameBounds = [rect];


(lib.Symbol9 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Image_7();
	this.instance.setTransform(-64,-53.7,0.24,0.24);

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-64,-53.7,128.1,107.5);
p.frameBounds = [rect];


(lib.Symbol8 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Image_6();
	this.instance.setTransform(-64,-53.7,0.24,0.24);

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-64,-53.7,128.1,107.5);
p.frameBounds = [rect];


(lib.Symbol7 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Image_5();
	this.instance.setTransform(-64,-53.7,0.24,0.24);

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-64,-53.7,128.1,107.5);
p.frameBounds = [rect];


(lib.Symbol6 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Image_4();
	this.instance.setTransform(-64,-53.7,0.24,0.24);

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-64,-53.7,128.1,107.5);
p.frameBounds = [rect];


(lib.Symbol5 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Image_3();
	this.instance.setTransform(-64,-53.7,0.24,0.24);

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-64,-53.7,128.1,107.5);
p.frameBounds = [rect];


(lib.Symbol4 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Image_2();
	this.instance.setTransform(-64,-53.7,0.24,0.24);

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-64,-53.7,128.1,107.5);
p.frameBounds = [rect];


(lib.Symbol3 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Image_1();
	this.instance.setTransform(-64,-53.7,0.24,0.24);

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-64,-53.7,128.1,107.5);
p.frameBounds = [rect];


(lib.Symbol2 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Image_0();
	this.instance.setTransform(-64,-53.7,0.24,0.24);

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-64,-53.7,128.1,107.5);
p.frameBounds = [rect];


(lib.Symbol1 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Image();
	this.instance.setTransform(-64,-53.7,0.24,0.24);

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-64,-53.7,128.1,107.5);
p.frameBounds = [rect];


(lib.exerciseContainer = function(mode,startPosition,loop) {
if (loop == null) { loop = false; }	this.initialize(mode,startPosition,loop,{});

	// timeline functions:
	this.frame_0 = function() {
		/* Ustawienia */
		var config = {
			id: '32466',
			title: 'Ułóż puzzle.',
			type: 'drag',
			container: this,
			prefix: 'drag_',
			prefix2: 'drop_',
			/*
			groupdrags: {		
				1: ['1', '2', '3', '6'],
			},
			/*
			groupdrops: {
				1: [1,2,3],
				2: [4,5,6],
				3: [7,8,9]
			},
			*/	
			results: [
				/*drop_1:*/ '1',
				/*drop_2:*/ '2',
				/*drop_3:*/ '3',
				/*drop_4:*/ '4',	
				/*drop_5:*/ '5',	
				/*drop_6:*/ '6',	
				/*drop_7:*/ '7',	
				/*drop_8:*/ '8',	
				/*drop_9:*/ '9',		
				/*drop_10:*/ '10',
				/*drop_11:*/ '11',
				/*drop_12:*/ '12',
				/*drop_13:*/ '13',
				/*drop_14:*/ '14',	
				/*drop_15:*/ '15',	
				/*drop_16:*/ '16',	
				/*drop_17:*/ '17',	
				/*drop_18:*/ '18',	
				/*drop_19:*/ '19',		
				/*drop_20:*/ '20',		
			],
			range: 20,
			alpha: 0,
			alpha2: 0,
			//scale: 0.8,
			rotation: 'auto',
			//size: 'auto',
			//zindex: 3,
			
			endsound: 'ssBrawa', exerciseAfterInit: function(container) {
				//container['drag_1'].rotate = 60;
			},
			exerciseBeforeFinish: function(container) {
				
			},
			exerciseExtraCheck: function(container) {
				
			},
		}
		
		exerciseOnInit(config);
		
		this.stop();
		
		/*---------------------------------------------------------------------------------------------------------------
		/* Help
		/*---------------------------------------------------------------------------------------------------------------
		 
		id - Id cwiczenia
		title - Tytul cwiczenia
		type - Typ Cwiczenia
		contanier - Kontener cwiczenia
		groupdrags - Lista grup dagow oraz przypisane do nich identyfikatory (unikatowa liczba) obiektow bez prefixow
		groupdrags - Lista grup targetow oraz przypisane do nich identyfikatory (unikatowa liczba) obiektow bez prefixow
		prefix - Prefixy w nazwach obiektow
		results - Rozwiazanie jako tablica identyfikatorow. Znak '|' definuje alternatywe, a '&' oznacza sume.	
		Przyklad:
		Cwiczenie typu sort.
		Odpowiedzi: [5,2,1,4,5] - tablica z ulozonymi w odpowiedniej kolejnisci identyfikatorami obiektow sortowanych.
		Cwiczenie typu drag.
		Odpowiedzi: [5,1|3,2&4] - tablica z id obiektow przeciaganych lub grup. W tym wariancie kazdy kolejny element z indexem 'i' w tablicy odpowiada targetowi o nazwie 'prefix+i'.
		np. prawidlowa odpowiedzia dla drop_1 jest obiekt drag_5, dla drop_2 obiekt drag_1 lub drag_3, dla drop_3 obiekt drag_2 oraz drag_4.
		range - Zakres dociagania
		alpha - Przezroczystosc targetu
		alpha2 - Przezroczystosc targetu po najechaniu
		rotation - Dostosowanie obrotu obiektu do targetu
		scale - Skalowanie obiektu po upuszczeniu
		size - Skalowanie obiektu do rozmiarow targetu
		zindex - Pozycja z obiektu
		/*-------------------------------------------------------------------------------------------------------------*/
	}

	// actions tween:
	this.timeline.addTween(cjs.Tween.get(this).call(this.frame_0).wait(1));

	// content
	this.drag_10 = new lib.Symbol10();
	this.drag_10.setTransform(1062.2,281.9);

	this.drag_15 = new lib.Symbol15();
	this.drag_15.setTransform(932.3,641.7,1,1,18.4);

	this.drag_17 = new lib.Symbol17();
	this.drag_17.setTransform(1007.1,563.8,1,1,-18.2);

	this.drag_12 = new lib.Symbol12();
	this.drag_12.setTransform(989.9,387.5,1,1,19.4);

	this.drag_5 = new lib.Symbol5();
	this.drag_5.setTransform(1116.7,477.6,1,1,22.2);

	this.drag_8 = new lib.Symbol8();
	this.drag_8.setTransform(1132.3,311.1);

	this.drag_13 = new lib.Symbol13();
	this.drag_13.setTransform(1134.3,223.3,1,1,16.7);

	this.drag_2 = new lib.Symbol2();
	this.drag_2.setTransform(1190.4,162.5,1,1,-11.7);

	this.drag_6 = new lib.Symbol6();
	this.drag_6.setTransform(1030,132.9,1,1,12);

	this.drag_19 = new lib.Symbol19();
	this.drag_19.setTransform(863.5,143.9,1,1,-10.7);

	this.drag_3 = new lib.Symbol3();
	this.drag_3.setTransform(709.5,149.2,1,1,17.7);

	this.drag_11 = new lib.Symbol11();
	this.drag_11.setTransform(109,226.4,1,1,18.9);

	this.drag_14 = new lib.Symbol14();
	this.drag_14.setTransform(169.5,277.6,1,1,7.2);

	this.drag_7 = new lib.Symbol7();
	this.drag_7.setTransform(93.8,368.1,1,1,-21.4);

	this.drag_18 = new lib.Symbol18();
	this.drag_18.setTransform(186.3,468.8,1,1,11.2);

	this.drag_9 = new lib.Symbol9();
	this.drag_9.setTransform(104.2,507.1);

	this.drag_16 = new lib.Symbol16();
	this.drag_16.setTransform(113.1,637.8,1,1,-18.7);

	this.drag_1 = new lib.Symbol1();
	this.drag_1.setTransform(225.1,632.7,1,1,12.2);

	this.drop_20 = new lib.Symbol20();
	this.drop_20.setTransform(837.6,586.8);

	this.drop_19 = new lib.Symbol19();
	this.drop_19.setTransform(709.5,586.8);

	this.drop_18 = new lib.Symbol18();
	this.drop_18.setTransform(581.3,586.8);

	this.drop_17 = new lib.Symbol17();
	this.drop_17.setTransform(453.2,586.8);

	this.drop_16 = new lib.Symbol16();
	this.drop_16.setTransform(325.1,586.8);

	this.drop_15 = new lib.Symbol15();
	this.drop_15.setTransform(837.3,479.8);

	this.drop_14 = new lib.Symbol14();
	this.drop_14.setTransform(709.5,479.6);

	this.drop_13 = new lib.Symbol13();
	this.drop_13.setTransform(581.3,479.7);

	this.drop_12 = new lib.Symbol12();
	this.drop_12.setTransform(453.2,479.7);

	this.drop_11 = new lib.Symbol11();
	this.drop_11.setTransform(325.1,479.3);

	this.drop_10 = new lib.Symbol10();
	this.drop_10.setTransform(837.3,372.1);

	this.drop_9 = new lib.Symbol9();
	this.drop_9.setTransform(709.5,372.1);

	this.drop_8 = new lib.Symbol8();
	this.drop_8.setTransform(581.3,372.1);

	this.drop_7 = new lib.Symbol7();
	this.drop_7.setTransform(453.2,372.1);

	this.drop_6 = new lib.Symbol6();
	this.drop_6.setTransform(325.1,372.1);

	this.drop_5 = new lib.Symbol5();
	this.drop_5.setTransform(837.3,264.7);

	this.drop_4 = new lib.Symbol4();
	this.drop_4.setTransform(708.6,264.7);

	this.drop_3 = new lib.Symbol3();
	this.drop_3.setTransform(580.5,264.7);

	this.drop_2 = new lib.Symbol2();
	this.drop_2.setTransform(452.4,264.7);

	this.drop_1 = new lib.Symbol1();
	this.drop_1.setTransform(325.1,264.7);

	this.instance = new lib.Bitmap1();
	this.instance.setTransform(260.2,211.2);

	this.shape = new cjs.Shape();
	this.shape.graphics.f("#FFFFFF").s().p("Egx6AhlMAAAhDKMBj1AAAMAAABDKg");
	this.shape.setTransform(580.5,426);

	this.drag_20 = new lib.Symbol20();
	this.drag_20.setTransform(1105.5,382.4,1,1,-18);

	this.drag_4 = new lib.Symbol4();
	this.drag_4.setTransform(231,351.6,1,1,-22.9);

	this.timeline.addTween(cjs.Tween.get({}).to({state:[{t:this.drag_4},{t:this.drag_20},{t:this.shape},{t:this.instance},{t:this.drop_1},{t:this.drop_2},{t:this.drop_3},{t:this.drop_4},{t:this.drop_5},{t:this.drop_6},{t:this.drop_7},{t:this.drop_8},{t:this.drop_9},{t:this.drop_10},{t:this.drop_11},{t:this.drop_12},{t:this.drop_13},{t:this.drop_14},{t:this.drop_15},{t:this.drop_16},{t:this.drop_17},{t:this.drop_18},{t:this.drop_19},{t:this.drop_20},{t:this.drag_1},{t:this.drag_16},{t:this.drag_9},{t:this.drag_18},{t:this.drag_7},{t:this.drag_14},{t:this.drag_11},{t:this.drag_3},{t:this.drag_19},{t:this.drag_6},{t:this.drag_2},{t:this.drag_13},{t:this.drag_8},{t:this.drag_5},{t:this.drag_12},{t:this.drag_17},{t:this.drag_15},{t:this.drag_10}]}).wait(1));

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = rect = new cjs.Rectangle(14.6,67.1,1249.5,646);
p.frameBounds = [rect];

})(lib = lib||{}, images = images||{}, createjs = createjs||{});
var lib, images, createjs;